\# Data Visualization Tool - README 

Description: 
This program offers 10 different types of data visualizations, specifically designed to work with textual data. Whether you\'re analyzing word frequency, identifying trends in text, or evaluating data quality, this tool provides an intuitive way to visualize text-based datasets. The visualizations were chosen with textual data in mind, making it ideal for tasks such as sentiment analysis, topic modeling, or general text exploration.

List of Visualizations: 
1. Word Cloud (TXT File): Visualizes text data by displaying the most frequent words in varying sizes. 
2. Bar Plot: Displays categorical data with rectangular bars. 
3. Pie Chart: Represents data as proportional slices of a circle. 
4. Bubble Chart: Visualizes three dimensions of data using circles (x, y coordinates, and bubble size). 
5. Line Chart: Shows data points connected by straight lines, ideal for tracking trends over time. 
6. Multiple Lines Chart: Displays multiple data series on the same axes for comparison. 
7. Grouped Bar Plot: Compares multiple categories across different groups.
8. Stacked Bar Plot: Displays cumulative totals for each category in stacked bars. 
9. Scatter Plot: Shows data points plotted along two axes, used to identify relationships or correlations. 
10. Data Quality: Provides insights into missing values, duplicates, or overall data cleanliness.

File Requirements: 
• TXT File: Required for generating a Word Cloud. The file should contain plain text, and the most frequent words will be visualized. 
• CSV File: Required for all other visualizations. The CSV file should contain well-structured tabular data with columns corresponding to the type of plot you wish to create. 

Once a file is loaded, it can be reused across multiple visualizations. If needed, you can load a new file using the \'Load New File\' option.

Saving Images: 
After generating a visualization, you can save the image by selecting the \"Save Image\" option on each library toolbar. Note that generating a new visualization will overwrite the current one, so be sure to save any visualizations you need beforehand.
